Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	libshout is a library for connecting and sending data to icecast servers.
Name:		libshout
Version:	2.1
Release:	2
Provides:	%{name}
License:	GPL
URL:		http://www.icecast.org
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libvorbis-devel libogg-devel pkgconfig libtheora-1.0-devel >= alpha4
Requires:	libvorbis libogg libtheora-1.0 >= alpha4

%description
libshout is a library for connecting and sending data to icecast servers.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --mandir=%_mandir --enable-shared --disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
/*
%exclude %_includedir
%exclude %_libdir/*.a
%exclude %_libdir/*.la

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jun 17 2005 Christian Metzen <metzench@ccux-linux.de> 2.1-2
- Tweaked Specfile, moved static libs to devel package
* Wed Jun 15 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.1-1
- Initial Release